php - How do i load a library so i can use it...?

_RIP_DREAMS
07-26-2002, 04:11 PM
i dont know how to make it...i tryed using dl('php_gd.php') but it seems that doesnt want to work :confused: ......i need to use the gd library so i can make a special function in php which uses images and this is the only way...how do i do that?

Thinker
07-26-2002, 06:44 PM
Is the file really named php_gd.php? The only one I could find on
the web was named php_gd.dll. It had to be added to the php.ini
file to work.

_RIP_DREAMS
07-26-2002, 06:46 PM
yeah i meant php_gd.dll...i already changed the extension line and it seems to still not work :\ , the page says he doesnt know the function ... :(

Thinker
07-26-2002, 07:10 PM
Is this the version you have, and if so, what version of PHP do you
have?
http://php.weblogs.com/GD

_RIP_DREAMS
07-26-2002, 07:11 PM
i have the last php version, downloaded a couples of days before...

_RIP_DREAMS
07-26-2002, 07:15 PM
hmmm...i changed that line...but i got errors! :-(

first i got 2 msgs saying he cant find the libraries (but i have them!) then this:


X-Powered-By: PHP/4.0.6 Content-type: text/html
Fatal error: Call to undefined function: imagecreate() in C:\Documents and Settings\JBRANCO\Desktop\server\teste.php on line 2
PHP Warning: Unable to load dynamic library './php_gd.dll' - The specified procedure could not be found. in Unknown on line 0

Thinker
07-26-2002, 08:21 PM
The version mentioned in that link only works with PHP 4.0.4 so
that is why I asked if you had that version. This looks strange to
me also, ./php_gd.dll, shouldn't you be using the full path? But I
really know nothing about loading these kinds of libraries so I am
just guessing.

_RIP_DREAMS
07-26-2002, 08:23 PM
hmmmmmm tomorrow ill check that more carefully tks anyways =)

_RIP_DREAMS
07-28-2002, 04:53 PM
hmm it seems still not working...well...do that version of gd just work with php 4.0.4?

EZ Archive Ads Plugin for vBulletin Copyright 2006 Computer Help Forum